#
# Substitute references.
#
# $Id: subref.pl,v 1.2 1995/02/21 00:17:32 k-chinen Exp k-chinen $
#

while(<>) {
	s/@@(\w+)/\\cite{$1}/g;
	s///g;
	s/begin{figure}\[htbp\]/begin{figure}[tp]/g;
	s/begin{table}\[htbp\]/begin{table}[tp]/g;
	if(/^\\#/) {
		chop;
		($name, $scale, $caption, $notes) = split(",",substr($_,2));
		if($notes eq "") {
			print <<EOF;
\\begin{figure}[tp]
	\\begin{center}
	\\epsfile{file=fig/$name,scale=$scale}
	\\caption{$caption}\\label{$caption}
	\\end{center}
\\end{figure}
EOF
		}
		else {
			print <<EOF;
\\begin{figure}[tp]
	\\begin{center}
	\\epsfile{file=fig/$name,scale=$scale}
	\\caption{$caption}\\label{$caption}
	\\vspace{.5\\baselineskip}
%	\\fbox{%
%	\\footnotesize%
	\\scriptsize%
	\\begin{minipage}{0.7\\textwidth}
	    $notes%
	\\end{minipage}%
%	}%
	\\end{center}
\\end{figure}
EOF
		}
	}
	else {
		print $_;
	}
}
